summaryrefslogtreecommitdiff
path: root/dracut-functions.sh
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2013-03-18 08:43:23 +0100
committerHarald Hoyer <harald@redhat.com>2013-03-18 08:43:23 +0100
commitfd191a7b41b0f402e8c36f692b5f1b5e9eb8b035 (patch)
tree6d746e0ea0448650b232205c0ee229fd8397fd1a /dracut-functions.sh
parente42c7a980ca3852781ee2ddd2b1633e482cf58d0 (diff)
downloaddracut-fd191a7b41b0f402e8c36f692b5f1b5e9eb8b035.tar.gz
dracut-fd191a7b41b0f402e8c36f692b5f1b5e9eb8b035.tar.bz2
dracut-fd191a7b41b0f402e8c36f692b5f1b5e9eb8b035.zip
kernel-modules/module-setup.sh: install all host filesystem drivers
https://bugzilla.redhat.com/show_bug.cgi?id=922565
Diffstat (limited to 'dracut-functions.sh')
-rwxr-xr-xdracut-functions.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/dracut-functions.sh b/dracut-functions.sh
index c6a5c7eb..eba7412e 100755
--- a/dracut-functions.sh
+++ b/dracut-functions.sh
@@ -457,12 +457,20 @@ for_each_host_dev_fs()
local _func="$1"
local _dev
local _ret=1
+
+ [[ "${!host_fs_types[@]}" ]] || return 0
+
for _dev in "${!host_fs_types[@]}"; do
$_func "$_dev" "${host_fs_types[$_dev]}" && _ret=0
done
return $_ret
}
+host_fs_all()
+{
+ echo "${host_fs_types[@]}"
+}
+
# Walk all the slave relationships for a given block device.
# Stop when our helper function returns success
# $1 = function to call on every found block device
@@ -508,6 +516,9 @@ for_each_host_dev_and_slaves_all()
local _func="$1"
local _dev
local _ret=1
+
+ [[ "${host_devs[@]}" ]] || return 0
+
for _dev in ${host_devs[@]}; do
[[ -b "$_dev" ]] || continue
if check_block_and_slaves_all $_func $(get_maj_min $_dev); then
@@ -521,6 +532,9 @@ for_each_host_dev_and_slaves()
{
local _func="$1"
local _dev
+
+ [[ "${host_devs[@]}" ]] || return 0
+
for _dev in ${host_devs[@]}; do
[[ -b "$_dev" ]] || continue
check_block_and_slaves $_func $(get_maj_min $_dev) && return 0